Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
L'audio non funziona
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
Spiros
Apprentice
Apprentice


Joined: 11 Mar 2008
Posts: 189
Location: Zurich

PostPosted: Sat Mar 13, 2010 12:25 pm    Post subject: L'audio non funziona Reply with quote

Da qualche tempo l'audio sulla mia Gentoo non funziona più. Premetto che:

  • Il supporto ad alsa è compilato nel kernel, insieme al driver per la mia scheda audio (HDA Intel).
  • alsa-lib è correttamente installato alla versione 1.0.21a (stabile su amd64).
  • Il servizio alsasound parte al boot e non mostra alcun problema.
  • Ho installato kde4.4 stabile dall'overlay kde.


Qualche giorno fa (ma non ricordo esattamente che cosa ho fatto quel giorno; forse una ricompilazione del kernel, forse un emersione) alsa ha deciso di non funzionare più. Quando tento di aprire alsamixer compare:
Code:

cannot open mixer: No such file or directory


Se apro kmix nessun "controller" è mostrato. In pratica è una finestra vuota.

Se dal pannello di controllo di kde apro la sezione "multimedia", vengono mostrati come dispositivi di uscita: "Output dummy" e "Internal Audio Analog Stereo", quest'ultimo in grigio e non selezionabile.

Non so più che cosa posso fare, quindi chiedo aiuto a voi.

Questo, nel caso servisse, è il mio emerge --info:
Code:

Portage 2.2_rc65 (default/linux/amd64/10.0/desktop, gcc-4.3.4, glibc-2.10.1-r1, 2.6.31-gentoo-r6 x86_64)
=================================================================
System uname: Linux-2.6.31-gentoo-r6-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T7500_@_2.20GHz-with-gentoo-1.12.13
Timestamp of tree: Sat, 13 Mar 2010 12:00:23 +0000
app-shells/bash:     4.0_p35
dev-java/java-config: 2.1.10
dev-lang/python:     2.6.4
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.63-r1
sys-devel/automake:  1.8.5-r3, 1.9.6-r2, 1.10.2                                                                                                                                       
sys-devel/binutils:  2.18-r3                                                                                                                                                         
sys-devel/gcc:       4.3.4                                                                                                                                                           
sys-devel/gcc-config: 1.4.1                                                                                                                                                           
sys-devel/libtool:   2.2.6b                                                                                                                                                           
virtual/os-headers:  2.6.30-r1                                                                                                                                                       
ACCEPT_KEYWORDS="amd64"                                                                                                                                                               
ACCEPT_LICENSE="* -@EULA skype-eula PUEL"                                                                                                                                             
CBUILD="x86_64-pc-linux-gnu"                                                                                                                                                         
CFLAGS="-O2 -march=native -pipe"                                                                                                                                                     
CHOST="x86_64-pc-linux-gnu"                                                                                                                                                           
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config"                                                                                                                           
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=native -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests collision-protect distlocks fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="it_CH.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="it"
MAKEOPTS="-s -j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/kde"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="7Zip X a52 aac aalib accessibility acl acpi aiglx akonadi alsa amd64 artswrappersuid audiofile autoipd avahi bash-completion berkdb bidi bluetooth bzip2 cairo cdda cddb cdr chm cjk cli config_wizard consolekit cpudetection cracklib crypt css cups cxx dbox2 dbus desktopglobe dga disk-partition djvu dri dts dv dvb dvd dvdr dvdread dvi dxr3 ebook embedded emboss encode extramodules extras fam fame fat fbcondecor ffmpeg fftw flac flash foomatic-db foomaticdb fortran freetype gcj gdbm gif gimpprint git gmp gnutls gphoto2 gpm gs gsm gstreamer gtk hal iconv ieee1394 imagemagick imap inotify iodbc ipod irc jack jingle jpeg kde kerberos kipi lame laptop latex lcd lcms ldap libnotify live lj lm_sensors lzma lzo mad mail matroska mdnsresponder-compat mercurial mikmod mjpeg mmx mng modules mp3 mp3rtp mp3tunes mp4 mpeg msn mudflap multilib musepack network networkmanager new-login nls nptl nptlonly nsplugin ntfs offensive ogg openal openexr opengl openmp optimized-qmake pam pcmcia pcre pda pdf perl plasma png policykit povray ppds pppd pulseaudio python qt3support qt4 quicktime rar rdesktop readline reflection rss scanner sdl semantic-desktop sensord server session skype slp sms speex spell spl sse sse2 ssl startup-notification stream subversion svg sysfs tcpd theora thunar tiff tracker truetype udev unicode upnp usb v4l v4l2 video visualization voice vorbis weather wifi wmf x264 xcb xcomposite xine xinerama xml xorg xpm xprint xv xvid xvmc zeroconf zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse void synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="it" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="radeon"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

_________________
Spiros
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1518
Location: Cosenza, Italy

PostPosted: Sat Mar 13, 2010 1:12 pm    Post subject: Re: L'audio non funziona Reply with quote

Spiros wrote:

  • Ho installato kde4.4 stabile dall'overlay kde

Magari fai prima a installarlo da portage :) cmq è una tua scelta...passando al tuo problema..."dovrebbe" dare quell'errore quando manca il supporto nel kernel, quindi controlla meglio, se non riesci pasta lspci -v.

Per quanto riguarda alsa dovresti avere:
Code:
ago@devil ~ $ eix -I --only-names alsa

media-libs/alsa-lib
media-plugins/gst-plugins-alsa
media-sound/alsa-headers
media-sound/alsa-utils


e dovrebbe bastare :)
_________________
Contattami se vuoi contribuire in:
-Arch tester
-Chromium tester
-Traduzione doc. it
-Security
Back to top
View user's profile Send private message
darkmanPPT
Veteran
Veteran


Joined: 13 Apr 2006
Posts: 1069
Location: vi/bo

PostPosted: Sat Mar 13, 2010 1:18 pm    Post subject: Reply with quote

Code:
aplay -l


cosa ti dice?
_________________
Darkman
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum